#ifndef BANNS_H
#define BANNS_H

#include <time.h>

typedef struct Bann
{
    int ip;
    time_t timeStamp;
    struct Bann* next;
} Bann;

typedef struct BannList
{
    Bann* root;
} BannList;

BannList* bannsNew();
void bannsRemove(BannList* bl);
void bannsAdd(BannList* bl, int ip);
int bannsIsBanned(BannList* bl, int ip);

#endif

