#ifndef STRING_H
#define STRING_H

#include "Stream.h"

typedef struct String
{
    int length;
    char* data;
} String;

void stringInit(String* s);
void stringRemove(String* s);

int stringGetLength(String* s);

void stringReadStreamLine(String* s, Stream* in);
void stringRead(String* s);
int stringCompare(String* s, const char* chars);
int stringCompareNoCase(String* s, const char* chars);

int stringIsInteger(String* s);

#endif

